package com.keao.edu.user.dao;


import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.entity.ExamLocation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExamLocationDao extends BaseDAO<Integer, ExamLocation> {

    /**
     * 根据ids获取考点
     * @param ids
     * @return
     */
    List<ExamLocation> getExamLocationByIds(@Param("ids") String ids);

    List<ExamLocation> getTenantAllLocations(@Param("tenantId") String tenantId);
}
