package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.api.entity.TeacherAttendance;
import org.apache.ibatis.annotations.Param;

public interface TeacherAttendanceDao extends BaseDAO<Long, TeacherAttendance> {

    /**
     * 获取教师签到记录
     * @param roomId
     * @param userId
     * @return
     */
    TeacherAttendance findByRoomIdAndTeacher(@Param("roomId") Long roomId, @Param("userId") Integer userId);
}