package com.keao.edu.user.service.impl;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.service.impl.BaseServiceImpl;
import com.keao.edu.user.dao.ExamLocationDao;
import com.keao.edu.user.entity.ExamLocation;
import com.keao.edu.user.service.ExamLocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ExamLocationServiceImpl extends BaseServiceImpl<Integer, ExamLocation> implements ExamLocationService {
	
	@Autowired
	private ExamLocationDao examLocationDao;

	@Override
	public BaseDAO<Integer, ExamLocation> getDAO() {
		return examLocationDao;
	}

	@Override
	public List<ExamLocation> getTenantAllLocations(String tenantId) {
		return examLocationDao.getTenantAllLocations(tenantId);
	}
}
