package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.entity.HfMember;
import org.apache.ibatis.annotations.Param;

public interface HfMemberDao extends BaseDAO<Integer, HfMember> {

    /**
     * 根据商户号获取商户信息
     *
     * @param memberId
     * @return
     */
    HfMember getByMemberId(@Param("memberId") String memberId);

    /**
     * 根据名字获取商户信息
     * @param name
     * @return
     */
    HfMember getByName(@Param("name") String name);
}