package com.keao.edu.user.service;


import java.math.BigDecimal;
import java.util.Map;

/**
 * 支付服务类
 */

public interface PayService {

    /**
     * @param amount       BigDecimal 支付金额
     * @param orderNo      String 订单号
     * @param notifyUrl    String 异步通知地址
     * @param returnUrl    string 支付返回地址
     * @param orderSubject String 订单标题
     * @param orderBody    String 订单内容
     * @return
     * @throws Exception
     */
    Map<String, Object> getPayMap(BigDecimal amount, String orderNo, String notifyUrl, String returnUrl, String orderSubject, String orderBody) throws Exception;


}
